Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent context

GET/workspaces/{organizationId}/agent-context
Path parameters
organizationIdstringrequired
Responses
200

Workspace agent context: AGENTS.md content, always-on rules, and the skill catalog. Served to agents and harnesses as the workspace's source of truth.

organizationIdstringrequired
agentsMdstringrequired
rulesobject[]required
Show properties
Array of object
namestringrequired
min length 1
contentstringrequired
skillsobject[]required
Show properties
Array of object
namestringrequired
min length 1
descriptionstring
default: ""
contentstringrequired
updatedBystring | nullrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent-context'
Response
{
  "organizationId": "string",
  "agentsMd": "string",
  "rules": [
    {
      "name": "string",
      "content": "string"
    }
  ],
  "skills": [
    {
      "name": "string",
      "description": "",
      "content": "string"
    }
  ],
  "updatedBy": "string",
  "updatedAt": "string"
}